List a wallet's creator-token holdings
curl --request GET \
--url https://build.vibechain.com/api/retard/v1227/holdings/{wallet} \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/api/retard/v1227/holdings/{wallet}"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/api/retard/v1227/holdings/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"market": {
"marketId": 1,
"subjectKey": "<string>",
"creator": "0x41B13C429675015d32377305D03222CbddB20cA0",
"coin": "0x41B13C429675015d32377305D03222CbddB20cA0",
"name": "<string>",
"symbol": "<string>",
"mediaUri": "<string>",
"poolId": "<string>",
"poolKey": {
"currency0": "0x41B13C429675015d32377305D03222CbddB20cA0",
"currency1": "0x41B13C429675015d32377305D03222CbddB20cA0",
"fee": 20000,
"tickSpacing": 200,
"hooks": "0x41B13C429675015d32377305D03222CbddB20cA0"
},
"launchedAt": "2023-11-07T05:31:56Z",
"activePrincipal": "<string>",
"rewardShares": "<string>",
"targetSupportCredit": "<string>",
"appliedSupportCredit": "<string>",
"unboostedFdvNative": "<string>",
"displayedFdvNative": "<string>",
"queued": true,
"saturated": true,
"stopped": true,
"protocolFees": {
"native": "<string>",
"coin": "<string>"
},
"creatorTips": {
"earned": "<string>",
"paid": "<string>"
},
"stakerTips": {
"assigned": "<string>",
"realized": "<string>",
"paid": "<string>"
},
"schedule": {
"nonce": "<string>",
"startTime": "<string>",
"active": true,
"paused": true,
"grossDailyTip": "<string>",
"fundedGross": "<string>",
"remainingRunway": "<string>",
"vestedGross": "<string>",
"creatorVested": "<string>",
"stakerVested": "<string>",
"segmentVested": "<string>"
},
"projectedBlock": 1,
"updatedAt": "2023-11-07T05:31:56Z",
"stakeReady": true
},
"balance": "<string>"
}
],
"nextCursor": 1,
"projectedBlock": 1,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "API_KEY_REQUIRED_OR_RATE_LIMITED",
"docs": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Wallets
List a wallet's creator-token holdings
GET
/
holdings
/
{wallet}
List a wallet's creator-token holdings
Authorizations
Caller-specific VibeChain API key created through /apikey/create.
Path Parameters
EVM wallet address
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x41B13C429675015d32377305D03222CbddB20cA0"
Query Parameters
Zero-based numeric cursor
Required range:
x >= 0Required range:
1 <= x <= 24